
#ifndef REMOVE_MC_TEST
#include "ucps2.h"
#include <ByteShift.h>

__DM3 int ConfigByteCopy[] = {
  #include "ConfigByteShift.dat"
};

__DM0 int InputData[] = {
#include "TestByteCopyInput.dat"
};;

__DM1 int OutputData[4096];


v16u32 KI = { 2,4,6};

__DM3 v16s32 SVRReg  = {
		0, 0, 0, 0,
		0x40, 0, 0, 0,
		0xff00ff, 0, 0, 0x0000,
		0xffff, 0x6, 0, 0
};

int main(void)
{
  volatile int a ;
  int Bytelen = 257;
  int ShiftValue = 1;
  ByteShift((int)ConfigByteCopy, MPU_ADDR(InputData),MPU_ADDR(OutputData),Bytelen,ShiftValue);

  SVRReg[0] = MPU_ADDR(ConfigByteCopy);


  ByteShiftAsm(SVRReg);
  a=__ucps2_getStatB();
   __ucps2_delay();
}

#endif //DEBUG_MC
